E-MailRelay

Public Member Functions | List of all members
G::BasicAddress Class Reference

A structure that holds a network address as a string with no dependency on any low-level network library. More...

`#include <gbasicaddress.h>`

## Public Member Functions
| BasicAddress (const std::string &s={})
| Constructor. More...
std::string | displayString () const
| Returns a printable string that represents the transport address. More...

## Detailed Description

A structure that holds a network address as a string with no dependency on any low-level network library.

See also
  GNet::Address

Definition at line 36 of file gbasicaddress.h.

## Constructor & Destructor Documentation

## ◆ BasicAddress()

G::BasicAddress::BasicAddress | ( | const std::string & | s = `{}` | ) |
| inline explicit

Constructor.

Definition at line 51 of file gbasicaddress.h.

## Member Function Documentation

## ◆ displayString()

std::string G::BasicAddress::displayString | ( |  | ) | const
| inline

Returns a printable string that represents the transport address.

Definition at line 57 of file gbasicaddress.h.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/gbasicaddress.h